Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Daniel Martinez
Category: WFS
Target version: 2.3.0-2424 (rev. org.gvsig.desktop-2.0.130)
Severity: Major Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2247 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: wfs, cache, persistence Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps to reproduce this bug:
    -  add a WFS layer activating the "Enable cache" option;
    -  close gvSIG saving the project;
    -  restart gvSIG and open the projected saved before.

Result: the WFS layer is load correctly, but the cache is not enabled (because it's not persistent), so the layer is retrieved each time
the view extent changes.
Related to #2829

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2869: The copy of a cach... New 10/13/2014

Associated revisions
Revision 254 - 02/11/2016 11:56 AM - Daniel Martinez

refs #2831 Unused funcionality deleted

History
#1 - 10/13/2014 11:07 AM - Álvaro Anguix
- Related to gvSIG bugs #2869: The copy of a cached WFS layer into another view is retrieved again added

#2 - 02/04/2016 11:14 AM - Antonio Falciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- File silvia.gvsproj added

I attach a gvSIG 2.2 project in order to reproduce the issue. The WFS layer was loaded with the "Enable cache" option checked, but opening the
project always with gvSIG 2.2 this setting is lost.

#3 - 02/05/2016 08:40 AM - Joaquín  del Cerro Murciano
- Assignee set to Daniel Martinez

#4 - 02/08/2016 02:50 PM - Daniel Martinez
- Status changed from New to In progress

05/17/2024 1/2



#5 - 02/09/2016 01:12 PM - Daniel Martinez

The "enable cache" checkbox is not used and it seems inherited from previous developments, so it will be deleted to be clearer.

The funcionality to load layers from cache, instead from downloading them from a server, should be provided by the "Refesh cache" checkbox, which
should be persisted correctly.

#6 - 02/09/2016 01:14 PM - Antonio Falciano

Daniel Martinez wrote:

The "enable cache" checkbox is not used and it seems inherited from previous developments, so it will be deleted to be clearer.

The funcionality to load layers from cache, instead from downloading them from a server, should be provided by the "Refesh cache" checkbox,
which should be persisted correctly.

Hi Daniel, it seems a more elegant solution. Thank you very much.

#7 - 02/10/2016 12:03 PM - Álvaro Anguix
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#8 - 02/17/2016 10:15 AM - Antonio Falciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.3.0-2424 (rev. org.gvsig.desktop-2.0.130)
- Status changed from In progress to Closed

It works fine since build 2422, so I close the ticket. Thank you, Daniel.

Files
silvia.gvsproj 26.3 KB 02/04/2016 Antonio Falciano
